<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <script src="jquery-3.6.4.min.js"></script>
  </head>
  <body>
    <button id="magicBtn" style="background-color: red">Magic</button>
    <button id="magicComplete" style="background-color: yellow">
      Magic Complete
    </button>

    <div
      id="box1"
      class="box"
      style="
        height: 120px;
        width: 120px;
        border: 2px solid black;
        background-color: aqua;
        margin: 10px;
      "
    >
      box1
    </div>

    <div
      id="box2"
      class="box"
      style="
        height: 120px;
        width: 120px;
        border: 2px solid black;
        background-color: green;
        margin: 10px;
      "
    >
      box2
    </div>

    <script>
      let boxes = jQuery(".box");
      let btn = jQuery("#magicBtn");
      let btn2 = jQuery("#magicComplete");

      btn.on("click", function () {
        boxes.hide();
      });

      btn2.on("click", function () {
        boxes.show();
      });

      jQuery("#magicBtn").on("click", function () {
        console.log(this);
        console.log($(this));
        $(this).hide();
      });
    </script>
  </body>
</html>
